import * as dotenvSafe from 'dotenv-safe';
import express from 'express';
import consola from 'consola';
import * as jwt from 'jsonwebtoken';
import { createConnection } from 'typeorm';
import 'reflect-metadata';
// const loaders = require('./loaders');
import * as loaders from './loaders/index';

dotenvSafe.config();
const app = express();
const PORT = process.env.APP_PORT || 4010;

createConnection()
	.then((connection) => {})
	.catch((err) => {
		consola.error(err);
	})
	.finally(() => {
		app.get('/', (req, res) => {
			const encoded = jwt.sign({ key: 'value' }, 'secret');
			consola.info(encoded);
			return res.send('Express + TypeScript Server');
		});
		// await loaders.init(app);
		app.listen(PORT, () => {
			consola.success(`⚡️[server]: Server is running at http://localhost:${PORT}`);
		});
	});
